AI agents: this site is available as Markdown at /llms.txt. Each page has a Markdown version at its URL with a .md suffix, and the full API is described in /api/v3/openapi.json.

Deactivate a subscription

Deactivate an active subscription.

Last updated 13 September 2026

put

https://api.flutterwave.com/v3/subscriptions/{id}/cancel

authorization string required

Pass your secret key as a bearer token in the request header to authorize this call

FILL IN ALL REQUIRED FIELDS

id int 32 required
This is the ID of the subscription to be cancelled. It is returned in the call to query all subscription as data.id.

FILL IN ALL REQUIRED FIELDS

status string

message string

data object

FILL IN ALL REQUIRED FIELDS

id integer

amount integer

customer object

FILL IN ALL REQUIRED FIELDS

id integer

customer_email string

plan integer

status string

created_at string

Shell

1
1


FL.AI

Answers from the Flutterwave docs

Hi, I’m FL.AI

Ask anything about Flutterwave’s APIs, guides and coverage.

FL.AI can make mistakes. Check important details in the docs.

Get API Keys